mhash_keygen_s2k
OpenSSL
Fonctions Mhash
PHP Manual

# mhash

(PHP 4, PHP 5)

mhash — Calcule un hash

### Description

string mhash ( int `$hash` , string `$data` [, string `$key` ] )

mhash() applique la fonction de hash `hash` aux données `data`.

### Liste de paramètres

`hash`

  L'identifiant du hash. Une parmi les constantes MHASH_XXX.

`data`

  L'entrée utilisateur, sous la forme d'une chaîne de caractères.

`key`

  Spécifié, la fonction retournera le HMAC résultant. HMAC est un hash indexé utilisé pour l'identification de message, ou bien un simple rapport de message, suivant la clé spécifiée. Certains algorithmes supportés dans mhash ne sont pas compatibles avec le mode HMAC.

### Valeurs de retour

Retourne le hash résultant (appelé aussi "digest") ou HMAC, sous la forme d'une chaîne de caractères ou `FALSE` si une erreur survient.

mhash_keygen_s2k
OpenSSL
Fonctions Mhash
PHP Manual